
Redmine - Defect #35892

Redmine::WikiFormatting::CommonMark::FormatterTest#test_footnotes fails with CommonMarker

0.23.2 

2021-09-20 09:38 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 5.0.2   

Resolution: Fixed Affected version:  

Description

0.23.2:

$ bin/rails test test/unit/lib/redmine/wiki_formatting/common_mark/formatter_test.rb:143

Run options: --seed 26353

# Running:

F

Failure:

Redmine::WikiFormatting::CommonMark::FormatterTest#test_footnotes [/Users/maeda/redmines/redmine-t

runk/test/unit/lib/redmine/wiki_formatting/common_mark/formatter_test.rb:159]:

--- expected

+++ actual

@@ -1 +1 @@

-"<p>This is some text<sup><a href=\"#fn1\" id=\"fnref1\">1</a></sup>.</p> <ol><li id=\"fn1\"><p>T

his is the foot note <a href=\"#fnref1\">↩</a></p></li></ol>" 

+"<p>This is some text<sup><a href=\"#fn-1\">1</a></sup>.</p> <ol><li><p>This is the foot note <a 

href=\"#fnref-1\" aria-label=\"Back to content\">↩</a></p></li></ol>" 

rails test test/unit/lib/redmine/wiki_formatting/common_mark/formatter_test.rb:143

Finished in 0.057364s, 17.4325 runs/s, 17.4325 assertions/s.

1 runs, 1 assertions, 1 failures, 0 errors, 0 skips

 0.23.1:

$ bin/rails test test/unit/lib/redmine/wiki_formatting/common_mark/formatter_test.rb:143

Run options: --seed 18906

# Running:

.

Finished in 0.035158s, 28.4430 runs/s, 28.4430 assertions/s.

1 runs, 1 assertions, 0 failures, 0 errors, 0 skips

Related issues:

Related to Redmine - Feature #32424: CommonMark Markdown Text Formatting Closed

Associated revisions

Revision 21226 - 2021-10-02 17:43 - Marius BĂLTEANU

Stick commonmarker gem to 0.23.1 when Ruby version >= 2.6 (#35892, #32424).

Revision 21611 - 2022-05-28 00:28 - Marius BĂLTEANU

Update commonmarker gem to 0.23.4 (#37136).
Revision 21612 - 2022-05-28 11:42 - Marius BĂLTEANU

Update footnotes markup after commonmarker gem update (#35892).

Revision 21618 - 2022-05-28 20:22 - Marius BĂLTEANU

Fix failing test (#35892).

Revision 21619 - 2022-05-28 20:25 - Marius BĂLTEANU

Merged r21618 to trunk (#35892).

History

#1 - 2021-09-20 09:38 - Go MAEDA

- Related to Feature #32424: CommonMark Markdown Text Formatting added

#2 - 2021-09-20 09:44 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

- Target version set to 5.0.0

#3 - 2021-09-20 20:36 - Holger Just

This seems to be related to https://github.com/gjtorikian/commonmarker/pull/148 which updated cmark-gfm to 0.29.0.gfm.2. There, they did in fact

changed the footnote handling.

The format change of the footnote IDs was comitted in https://github.com/github/cmark-gfm/pull/230

The missing id for the back references however looks strange... Maybe we have to do something different here?

#4 - 2021-09-25 17:51 - Ko Nagase

- File fix_common-mark-test.patch added

How about to change the test code side by regexp match as a workaround ?

Attached patch supports both CommonMarker "== 0.23.2" and "<= 0.23.1" tests.

#5 - 2021-10-02 17:51 - Marius BĂLTEANU

I have locked commonmarker to 0.23.1 until we find a better way to handle the footnotes because the new format doesn't affect only the tests, it

affects also the logic from sanitization_filter (source:trunk/lib/redmine/wiki_formatting/common_mark/sanitization_filter.rb#L70) and we need to

support both ways depending on the Ruby version.

#6 - 2021-10-02 20:58 - Marius BĂLTEANU

- Target version changed from 5.0.0 to Candidate for next minor release

#7 - 2021-10-03 02:15 - Ko Nagase

Okay, thanks for the fix!

#9 - 2022-05-28 11:29 - Marius BĂLTEANU

- Target version changed from Candidate for next minor release to 5.0.2

#10 - 2022-05-28 11:44 - Marius BĂLTEANU

- Status changed from New to Resolved

- Resolution set to Fixed

Proper fix committed in r21612.

#11 - 2022-05-30 08:50 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Files

fix_common-mark-test.patch 1.55 KB 2021-09-25 Ko Nagase
